#include "TH2.h"
#include "ScanRoot.h"

TH1F* h1[100];
TH2F* h2[100];

/////////////////////////////////////////////////////////////////////
void fillHistograms(short npar, float *par)
{
  if(npar>0)
  {
    if(par[1]>0)             h1[0]->Fill(par[1]);
    if(par[2]>0)             h1[1]->Fill(par[2]);    
    if(par[3]>0)             h1[2]->Fill(par[3]);
    if(par[4]>0)             h1[3]->Fill(par[4]);
    if(par[5]>0)             h1[4]->Fill(par[5]);
    if(par[6]>0)             h1[5]->Fill(par[6]);
    if(par[7]>0)             h1[6]->Fill(par[7]);
    if(par[8]>0)             h1[7]->Fill(par[8]);
    if(par[9]>0)             h1[8]->Fill(par[9]);
    if(par[10]>0)            h1[9]->Fill(par[10]);

    if(par[1]>0 && par[2]>0) h2[0]->Fill(par[1],par[2]);
  }
}
/////////////////////////////////////////////////////////////////////
void bookHistograms(ScanRoot* scan)
{
  // this next line is to be sure that the histograms are
  // saved in the correct ROOT directory
  scan->cd();
  
  // booking histograms...
  h1[0] = new TH1F("h01","h01",1024,0,4096);
  h1[1] = new TH1F("h02","h02",1024,0,4096);
  h1[2] = new TH1F("h03","h03",1024,0,4096);
  h1[3] = new TH1F("h04","h04",1024,0,4096);
  h1[4] = new TH1F("h05","h05",1024,0,4096);
  h1[5] = new TH1F("h06","h06",1024,0,4096);
  h1[6] = new TH1F("h07","h07",1024,0,4096);
  h1[7] = new TH1F("h08","h08",1024,0,4096);
  h1[8] = new TH1F("h09","h09",1024,0,4096);
  h1[9] = new TH1F("h10","h10",1024,0,4096);
  
  h2[0] = new TH2F("D2","D2",512,0,4096,512,0,4096);
  
  // this line links the histogram filling function
  // to the acquisition program.
  scan->fillHistograms = &fillHistograms;
    
  return;
}
/////////////////////////////////////////////////////////////////////
void init()
{
}
/////////////////////////////////////////////////////////////////////
void finish()
{
}

